<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="generator" content="AsciiDoc 8.6.8">
<title>MLtonCross</title>
<link rel="stylesheet" href="./asciidoc.css" type="text/css">
<link rel="stylesheet" href="./pygments.css" type="text/css">


<script type="text/javascript" src="./asciidoc.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
asciidoc.install();
/*]]>*/
</script>
<link rel="stylesheet" href="./mlton.css" type="text/css"/>
</head>
<body class="article">
<div id="banner">
<div id="banner-home">
<a href="./Home">MLton 20130715</a>
</div>
</div>
<div id="header">
<h1>MLtonCross</h1>
</div>
<div id="content">
<div id="preamble">
<div class="sectionbody">
<div class="paragraph"><p>The debian package MLton-Cross adds various targets to MLton. In
combination with the emdebian project, this allows a debian system to
compile SML files to other architectures.</p></div>
<div class="paragraph"><p>Currently, these targets are supported:</p></div>
<div class="ulist"><ul>
<li>
<p>
<em>Windows (MinGW)</em>
</p>
<div class="ulist"><ul>
<li>
<p>
-target i586-mingw32msvc (mlton-target-i586-mingw32msvc)
</p>
</li>
<li>
<p>
-target amd64-mingw32msvc( mlton-target-amd64-mingw32msvc)
</p>
</li>
</ul></div>
</li>
<li>
<p>
<em>Linux (Debian)</em>
</p>
<div class="ulist"><ul>
<li>
<p>
-target alpha-linux-gnu (mlton-target-alpha-linux-gnu)
</p>
</li>
<li>
<p>
-target arm-linux-gnueabi (mlton-target-arm-linux-gnueabi)
</p>
</li>
<li>
<p>
-target hppa-linux-gnu (mlton-target-hppa-linux-gnu)
</p>
</li>
<li>
<p>
-target i486-linux-gnu (mlton-target-i486-linux-gnu)
</p>
</li>
<li>
<p>
-target ia64-linux-gnu (mlton-target-ia64-linux-gnu)
</p>
</li>
<li>
<p>
-target mips-linux-gnu (mlton-target-mips-linux-gnu)
</p>
</li>
<li>
<p>
-target mipsel-linux-gnu (mlton-target-mipsel-linux-gnu)
</p>
</li>
<li>
<p>
-target powerpc-linux-gnu (mlton-target-powerpc-linux-gnu)
</p>
</li>
<li>
<p>
-target s390-linux-gnu (mlton-target-s390-linux-gnu)
</p>
</li>
<li>
<p>
-target sparc-linux-gnu (mlton-target-sparc-linux-gnu)
</p>
</li>
<li>
<p>
-target x86-64-linux-gnu (mlton-target-x86-64-linux-gnu)
</p>
</li>
</ul></div>
</li>
</ul></div>
</div>
</div>
<div class="sect1">
<h2 id="_download">Download</h2>
<div class="sectionbody">
<div class="paragraph"><p>MLton-Cross is kept in-sync with the current MLton release.</p></div>
<div class="ulist"><ul>
<li>
<p>
<a href="MLtonCross.attachments/mlton-cross_20100608.orig.tar.gz"><span class="monospaced">mlton-cross_20100608.orig.tar.gz</span></a>
</p>
</li>
</ul></div>
</div>
</div>
</div>
<div id="footnotes"><hr></div>
<div id="footer">
<div id="footer-text">
</div>
<div id="footer-badges">
</div>
</div>
</body>
</html>
